Name:           perl-Module-Package
Version:        0.30
Release:        22
Summary:        Postmodern Perl Module Packaging
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Package

Source0:        https://cpan.metacpan.org/authors/id/I/IN/INGY/Module-Package-%{version}.tar.gz
Patch0:         Module-Package-0.30-Fix-building-on-Perl-without-.-in-INC.patch

BuildArch:      noarch
BuildRequires:  perl-generators perl(ExtUtils::MakeMaker) perl(Cwd) perl(Data::Dumper) perl(File::Path)
BuildRequires:  perl(IO::All) >= 0.41 perl(Module::Install) >= 1.01 perl(Module::Install::AuthorRequires) >= 0.02
BuildRequires:  perl(Module::Install::Base) perl(Module::Install::ManifestSkip) >= 0.19 perl(Moo) >= 0.009008
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))
Requires:       perl(Data::Dumper) perl(File::Path)

%description
This module is a dropin replacement for Module::Install. It does everything Module::Install does, 
but just a bit better.
 
Actually this module is simply a wrapper around Module::Install. It attempts to drastically reduce
what goes in a Makefile.PL, while at the same time, fixing many of the problems that people have 
had with Module::Install (and other module frameworks) over the years.

%package_help

%prep
%autosetup -n Module-Package-%{version} -p1

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root)
%doc README
%license LICENSE
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/*

%changelog
* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.30-22
- Package init